Subject: Re: coccinelle: merge two rules from flex_alloc.cocci

From: Markus Elfring <[email-masked]>
Date: Thu, 14 Nov 2019 18:30:24 +0100

>> Does any test infrastructure (or benchmarks) exist which you would trust for
>> corresponding comparisons of software run time characteristics?
>
> Yes, just run:
>
>   make cocciclean
>   time make contrib/coccinelle/flex_alloc.cocci.patch

Thanks for this suggestion.

> before and after your changes, and include the timing results in the
> commit message if there is a notable difference.

The measurements from my test system might not be representative enough.

> FWIW, I did just that with your "coccinelle: merge twelve rules from
> object_id.cocci" patch [1], and the runtime went down from 2m48.610 to
> 2m34.395, a bit over 8% speedup. (with Ubuntu 16.04's Coccinelle
> 1.0.4)
>
>
> [1] https://public-inbox.org/git/[email-masked]/

These numbers seem to be nice.
Would a direct reply have been more helpful for the referenced patch
than the current subject?

Regards,
Markus